For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
      • GETReturns the last time entry of a specified user.
      • GETReturns all time entries of the specified project.
      • GETReturns all time entries of the specified task.
      • GETReturns all time entries.
      • POSTCreates a new time entry.
      • POSTEdits multiple time entries using the specified operation.
      • POSTDeletes the time entry with the specified ids.
      • POSTSets the time entries with the specified ids to billable.
      • POSTSets the time entries with the specified ids to billed.
      • POSTSets the type of work of the specified timeentries.
      • POSTSets the time entries with the specified ids to unbillable.
      • POSTSets the time entries with the specified ids to unbilled.
      • GETRetrieves all time entries with a simplified model based on the grouping parameter.
      • GETGet a time entry by id.
      • PUTUpdates the time entry with the specified id.
      • DELDeletes the time entry with the specified id.
      • POSTHandles removing all breaks from a time entry, effectively resuming the timer.
      • GETReturns the last time entry of a specified user.
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTime Entries

Retrieves all time entries with a simplified model based on the grouping parameter.

GET
https://api.awork.com/api/v1/timeentries/simplified
GET
/api/v1/timeentries/simplified
$curl https://api.awork.com/api/v1/timeentries/simplified \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "duration": 8635,
5 "startDateUtc": "2022-03-01T00:00:00Z",
6 "startDateLocal": "2022-03-01T00:00:00",
7 "isBillable": true,
8 "isBilled": false,
9 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
10 "createdOn": "2024-01-15T09:30:00Z",
11 "task": {
12 "id": "123e4567-e89b-12d3-a456-426614174000",
13 "name": "string",
14 "baseType": "string",
15 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
16 "entityId": "123e4567-e89b-12d3-a456-426614174000",
17 "projectId": "123e4567-e89b-12d3-a456-426614174000",
18 "correlationId": "123e4567-e89b-12d3-a456-426614174000",
19 "parentId": "123e4567-e89b-12d3-a456-426614174000",
20 "taskStatusId": "123e4567-e89b-12d3-a456-426614174000",
21 "taskStatus": {
22 "id": "123e4567-e89b-12d3-a456-426614174000",
23 "name": "Design",
24 "description": "Work in progress",
25 "type": "todo",
26 "order": 1,
27 "icon": "arrow_forward"
28 },
29 "primaryTaskListId": "123e4567-e89b-12d3-a456-426614174000",
30 "primaryTaskList": {
31 "id": "123e4567-e89b-12d3-a456-426614174000",
32 "name": "Design"
33 }
34 },
35 "taskId": "123e4567-e89b-12d3-a456-426614174000",
36 "project": {
37 "id": "123e4567-e89b-12d3-a456-426614174000",
38 "name": "Design",
39 "hasImage": true,
40 "company": {
41 "id": "123e4567-e89b-12d3-a456-426614174000",
42 "hasImage": true
43 }
44 },
45 "projectId": "123e4567-e89b-12d3-a456-426614174000",
46 "user": {
47 "id": "123e4567-e89b-12d3-a456-426614174000",
48 "firstName": "Carla",
49 "lastName": "Creative",
50 "hasImage": true
51 },
52 "userId": "123e4567-e89b-12d3-a456-426614174000",
53 "typeOfWork": {
54 "id": "123e4567-e89b-12d3-a456-426614174000",
55 "name": "Design",
56 "icon": "thumb_up"
57 },
58 "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
59 "startTimeLocal": "10:21:00"
60 }
61]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Get a time entry by id.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

groupingstringOptional
The grouping type.
pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The id of the time tracking.
durationinteger or null
The duration of the time tracking in seconds. Required when the time tracking has already been completed and EndTime has not been set.
startDateUtcstring or nullformat: "date-time"

The date (in UTC) when the time tracking was started. Required.

startDateLocalstring or nullformat: "date-time"

The date (in Local) when the time tracking was started. Required.

isBillableboolean
Whether the time tracking is billable or not.
isBilledboolean
Whether the time tracking is billed or not.
createdBystringformat: "uuid"
The id of the user who created this time tracking.
createdOnstringformat: "date-time"
The date of the creation of this time tracking.
taskobject
taskIdstring or nullformat: "uuid"
The id of the task.
projectobject
projectIdstring or nullformat: "uuid"
The id of the project.
userobject
userIdstring or nullformat: "uuid"
The id of the user.
typeOfWorkobject
typeOfWorkIdstring or nullformat: "uuid"
The id of the type of work.
startTimeLocalstring or null

The time (in Local) when the time tracking was started.